## TeplMenuShell TeplMenuShell — GtkMenuShell functions |

## Functions

void | tepl_menu_shell_append_edit_actions ()

## Includes

    #include <tepl/tepl.h>

## Description

GtkMenuShell functions.

## Functions

### tepl_menu_shell_append_edit_actions ()

    void
    tepl_menu_shell_append_edit_actions (GtkMenuShell *menu_shell);

Appends GtkMenuItem's to `menu_shell` for the following GAction's:

- `"win.tepl-cut"`

- `"win.tepl-copy"`

- `"win.tepl-paste"`

- `"win.tepl-delete"`

- `"win.tepl-select-all"`

See the list of GActions implemented in TeplApplicationWindow. This function correctly uses the `AMTK_FACTORY_IGNORE_ACCELS_FOR_APP` flag to create the GtkMenuItem's.

#### Parameters

menu_shell | a GtkMenuShell. |

Since: 3.0